## gldifferencematte

gldifferencematte — Saves a background frame and replace it with a pixbuf

## Synopsis

    struct              GstGLDifferenceMatte;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLDifferenceMatte

## Properties

      "location"                 gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | opengl
author | Filippo Argiolas <filippo.argiolas@gmail.com>
class | Filter/Effect

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstGLDifferenceMatte

    struct GstGLDifferenceMatte;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

Background image location.

Default value: NULL